{
	onModifySpAPriority: 5,
	onModifySpA(spa, pokemon) {
		if (['sunnyday', 'desolateland'].includes(pokemon.effectiveWeather())) {
			return this.chainModify(1.5);
		}
	},
	onWeather(target, source, effect) {
		if (target.hasItem('utilityumbrella')) return;
	},
	flags: {},
	name: "Solar Power",
	rating: 2,
	num: 94,
}